package com.huimv.environ.eco.service;

import com.alibaba.fastjson.JSONObject;
import com.huimv.common.utils.Result;
import com.huimv.environ.eco.entity.EcoDryList;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-11-11
 */
public interface EcoDryListService extends IService<EcoDryList> {

    void saveDryList(Map deviceMap, String temp, JSONObject thresholdJo, Date todayTime) throws ParseException;

//    void saveDryList(Map deviceMap,JSONObject dataJo, JSONObject thresholdJo, Date todayTime) throws ParseException;

    void sendLowDryTempAlarm(String alarmInfo, String farmId, String warningTime, String uploadTime);

    Result listDayEvent(HttpServletRequest request, Map<String, String> paramsMap) throws ParseException;


}
