package com.huimv.produce.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.produce.produce.service.IProdCostService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author astupidcoder
 * @since 2021-10-22
 */
@RestController
@RequestMapping("/prodCost")
public class ProdCostController {

    @Autowired
    private IProdCostService prodCostService;

    @GetMapping("/listProdCost")
    public Result listProdCost(){

       return new Result(ResultCode.SUCCESS,prodCostService.list());
    }

}
