package com.huimv.eartag2.admin.mapper;

import com.huimv.eartag2.admin.entity.BasePigpen;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.eartag2.admin.entity.dto.BuildingDto;
import com.huimv.eartag2.admin.entity.dto.UnitDto;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zn
 * @since 2022-11-09
 */
@Repository
public interface BasePigpenMapper extends BaseMapper<BasePigpen> {

    List<BuildingDto> listBuildings(String farmId);

    List<UnitDto> listUnitByBuilding(String farmId, String buildingId);
}
