package com.huimv.environ.eco.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zn
 * @since 2022-11-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EcoDeviceFlow implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String deviceCode;

    private String deviceName;

    private Integer deviceStatus;

    private Boolean deviceOpen;

    private String id1Name;

    private String id1Value;

    private Boolean id1AlarmStatus;

    private String id1AlarmMsg;

    private String id2Name;

    private String id2Value;

    private Boolean id2AlarmStatus;

    private String id2AlarmMsg;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date addTime;

    private Integer dryId;
}
