package com.huimv.video;

import com.huimv.common.config.InterceptorConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Import;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 *
 * @Create : 2020-12-25
 **/
@EnableScheduling
@SpringBootApplication
@MapperScan("com.huimv.video.*.mapper")
@Import(InterceptorConfig.class)
public class HuimvVideoApplication {
    public static void main(String[] args) {
        SpringApplication.run(HuimvVideoApplication.class, args);
    }
}
