package com.huimv.video.dhicc.test.token;

import lombok.Data;
import lombok.ToString;

/**
 * 令牌对象
 */
@Data
@ToString
public class Token {
    //token
    private String access_token;
    //token类型
    private String token_type;
    //refresh_token
    private String refresh_token;
    //还剩多少时间就过期
    private Long expires_in;
    //令牌权限范围
    private String scope;
    //用户id
    private String userId;
    //magicId
    private String magicId;
    //remainDays
    private Long remainderDays;
    //令牌过期时间，当前时间+剩余过期时间expires_in
    private Long ttl;
}
